Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.3.82
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.je
Class PreloadStats

    java.lang.Object
      com.sleepycat.je.PreloadStats

All Implemented Interfaces:
  Serializable

    public class PreloadStats

extends Object
implements Serializable

Statistics returned from `Database.preload`

See Also:
  Serialized Form

Method Summary
`int` | `getNBINsLoaded()` Returns the number of BINs that were loaded into the cache during the preload() operation.
`int` | `getNDBINsLoaded()` Returns the number of DBINs that were loaded into the cache during the preload() operation.
`int` | `getNDINsLoaded()` Returns the number of DINs that were loaded into the cache during the preload() operation.
`int` | `getNDupCountLNsLoaded()` Returns the number of DupCountLNs that were loaded into the cache during the preload() operation.
`int` | `getNINsLoaded()` Returns the number of INs that were loaded into the cache during the preload() operation.
`int` | `getNLNsLoaded()` Returns the number of LNs that were loaded into the cache during the preload() operation.
`PreloadStatus` | `getStatus()` Returns the PreloadStatus value for the preload() operation.
`String` | `toString()` Returns a String representation of the stats in the form of <stat>=<value>

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getNINsLoaded

    public int getNINsLoaded()

  Returns the number of INs that were loaded into the cache during the preload() operation.

### getNBINsLoaded

    public int getNBINsLoaded()

  Returns the number of BINs that were loaded into the cache during the preload() operation.

### getNLNsLoaded

    public int getNLNsLoaded()

  Returns the number of LNs that were loaded into the cache during the preload() operation.

### getNDINsLoaded

    public int getNDINsLoaded()

  Returns the number of DINs that were loaded into the cache during the preload() operation.

### getNDBINsLoaded

    public int getNDBINsLoaded()

  Returns the number of DBINs that were loaded into the cache during the preload() operation.

### getNDupCountLNsLoaded

    public int getNDupCountLNsLoaded()

  Returns the number of DupCountLNs that were loaded into the cache during the preload() operation.

### getStatus

    public PreloadStatus getStatus()

  Returns the PreloadStatus value for the preload() operation.

### toString

    public String toString()

  Returns a String representation of the stats in the form of <stat>=<value>

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.3.82
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004,2008 Oracle. All rights reserved.